;;;
;
;   We make use of the fact that Zen distinguishes upper and lower
;   case, while CScheme does not.  We don't load if the file is
;   already loaded.  For CScheme, we load carefully.
;
(if (environment-bound? (the-environment) '*src-dir*)
   '()
   (define *src-dir* "./")) ; don't forget the slash at the end!
;
(define *banner* "Orbits 1.419 Copyright 1995 by Radical Eye Software\n")
;
(if (environment-bound? (the-environment) 'verify-internal)
   '()
   (begin
      (toggle-gc-notification!)
      (if (file-exists? (string-append *src-dir* "structcs.com"))
         (load (string-append *src-dir* "structcs.com"))
         (load (string-append *src-dir* "structcs.scm")))
      (sload (string-append *src-dir* "text-st"))
      (sload (string-append *src-dir* "text"))
      (sload (string-append *src-dir* "sim-st"))
      (sload (string-append *src-dir* "sim"))
      (sload (string-append *src-dir* "init"))))
;
(display-stuff 'newline *banner*)
